> ## Documentation Index
> Fetch the complete documentation index at: https://ona.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Announcement Banner

> Retrieves the announcement banner configuration for an organization.

`Unary` · [`Organizations`](/docs/api-reference/generated/organization/overview)

Retrieves the announcement banner configuration for an organization.

Use this method to fetch the current announcement banner settings.
All organization members can read the banner configuration.

### Examples

* Get announcement banner:

  ```yaml theme={null}
  organizationId: "b0e12f6c-4c67-429d-a4a6-d9838b5da047"
  ```

## Endpoint

```text theme={null}
POST /api/gitpod.v1.OrganizationService/GetAnnouncementBanner
```

Send a Bearer token as described in [Authentication](/docs/api-reference#authenticate-requests). If your organization uses a custom management-plane domain, replace `https://app.ona.com` with that domain.

## Request example

<CodeGroup>
  ```bash cURL theme={null}
  export ONA_HOST=https://app.ona.com
  export ONA_API_KEY=<your-token>

  curl --request POST \
    --url "$ONA_HOST/api/gitpod.v1.OrganizationService/GetAnnouncementBanner" \
    --header "Authorization: Bearer $ONA_API_KEY" \
    --header "Content-Type: application/json" \
    --data '{
    "organizationId": "<organization-id>"
  }'
  ```

  ```python Python theme={null}
  import gitpod.v1.organization_pb2 as organization_pb2
  from ona_sdk import create_client_from_env

  ona = create_client_from_env()
  request = organization_pb2.GetAnnouncementBannerRequest(
      organization_id="<organization-id>",
  )
  response = ona.services.organization.get_announcement_banner(request)
  print(response)
  ```

  ```typescript TypeScript theme={null}
  import { create } from "@bufbuild/protobuf";
  import { createClientFromEnv } from "@gitpod/sdk";
  import { GetAnnouncementBannerRequestSchema } from "@gitpod/sdk/gitpod/v1/organization_pb";

  async function main() {
    const ona = createClientFromEnv();
    const request = create(GetAnnouncementBannerRequestSchema, {
      organizationId: "<organization-id>",
    });
    const response = await ona.services.organization.getAnnouncementBanner(request);
    console.log(response);
  }

  main().catch(console.error);
  ```

  ```go Go theme={null}
  package main

  import (
  	"context"
  	"fmt"
  	"log"

  	"connectrpc.com/connect"
  	"github.com/gitpod-io/gitpod-sdk-go/sdk"
  	gitpodpb "github.com/gitpod-io/gitpod-sdk-go/v1"
  )

  func main() {
  	ona, err := sdk.NewFromEnv()
  	if err != nil {
  		log.Fatal(err)
  	}

  	request := connect.NewRequest(&gitpodpb.GetAnnouncementBannerRequest{
  		OrganizationId: "<organization-id>",
  	})
  	response, err := ona.Services.Organization.GetAnnouncementBanner(context.Background(), request)
  	if err != nil {
  		log.Fatal(err)
  	}
  	fmt.Println(response.Msg)
  }
  ```

  ```json Request body theme={null}
  {
    "organizationId": "<organization-id>"
  }
  ```
</CodeGroup>

## Request

`gitpod.v1.GetAnnouncementBannerRequest`

| Field            | Type   | Required | Description                                                                                    |
| ---------------- | ------ | -------- | ---------------------------------------------------------------------------------------------- |
| `organizationId` | string | Yes      | organization\_id is the ID of the organization Constraints: `required=true, string.uuid=true`. |

## Response

`gitpod.v1.GetAnnouncementBannerResponse`

| Field    | Type                                                      | Required | Description                                                                   |
| -------- | --------------------------------------------------------- | -------- | ----------------------------------------------------------------------------- |
| `banner` | [AnnouncementBanner](#type-gitpod-v1-announcement-banner) | Yes      | banner is the announcement banner configuration Constraints: `required=true`. |

## Related types

<a id="type-gitpod-v1-announcement-banner" />

<Accordion title="AnnouncementBanner">
  `gitpod.v1.AnnouncementBanner`

  | Field            | Type    | Required | Description                                                                                                    |
  | ---------------- | ------- | -------- | -------------------------------------------------------------------------------------------------------------- |
  | `organizationId` | string  | Yes      | organization\_id is the ID of the organization Constraints: `required=true, string.uuid=true`.                 |
  | `message`        | string  | No       | message is the banner message displayed to users. Supports basic Markdown. Constraints: `string.max_len=1000`. |
  | `enabled`        | boolean | No       | enabled controls whether the banner is displayed                                                               |
</Accordion>
